
ctools - Change request #1652

ctbkgcube should file a warning if no background model is provided

01/30/2016 08:44 AM - Mayer Michael

Status: Closed Start date: 01/30/2016

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.3.0   

Description

Julien Lefaucheur reported the following problem:

in case no background model (GCTAIrfBackground) is provided in the model XML file which is fed to ctbkgcube, the output

background cube will be empty.

The problem is that no warning or exception comes up and the output looks normal:

2016-01-29T12:23:14: +==========================+

2016-01-29T12:23:14: | Generate background cube |

2016-01-29T12:23:14: +==========================+

2016-01-29T12:23:14: Including HESS observation "Crab" (id=00023523) in background cube computation.

2016-01-29T12:23:14: Including HESS observation "Crab" (id=00023526) in background cube computation.

2016-01-29T12:23:14: Including HESS observation "Crab" (id=00023559) in background cube computation.

2016-01-29T12:23:14: Including HESS observation "Crab" (id=00023592) in background cube computation.

2016-01-29T12:23:14:

2016-01-29T12:23:14: +==============+

2016-01-29T12:23:14: | Output model |

2016-01-29T12:23:14: +==============+

2016-01-29T12:23:14: === GModels ===

...

We should adapt 'ctbkgcube' to throw a meaningful exception or warning in such cases.

History

#1 - 06/21/2016 09:46 PM - Knödlseder Jürgen

- Target version set to 1.2.0

#2 - 03/03/2017 10:49 AM - Knödlseder Jürgen

- Priority changed from Normal to High

- Target version changed from 1.2.0 to 1.3.0

#3 - 06/08/2017 01:15 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 90

I added an exception in case that no background is present in the model container.

#4 - 06/08/2017 01:28 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Merged into devel
